<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>AdminKW | Customer</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.5 -->
    <link rel="stylesheet" href="adminlte/bootstrap/css/bootstrap.min.css">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- bootstrap datepicker -->
		<link rel="stylesheet" href="adminlte/plugins/datepicker/datepicker3.css">
    <!-- Select2 -->
    <link rel="stylesheet" href="adminlte/plugins/select2/select2.min.css">
    <!-- DataTables -->
    <link rel="stylesheet" href="adminlte/plugins/datatables/dataTables.bootstrap.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="adminlte/dist/css/AdminLTE.min.css">
    <!-- AdminLTE Skins. Choose a skin from the css/skins
         folder instead of downloading all of them to reduce the load. -->
    <link rel="stylesheet" href="adminlte/dist/css/skins/_all-skins.min.css">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body class="hold-transition skin-blue sidebar-mini">
    
      <!-- Modal Search Customer -->
      <div id="mdlCustomer" class="modal fade" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-lg">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span></button>
              <h4 class="modal-title">Assign Customer to Sales Transaction</h4>
            </div>
            <!-- form start -->
            <div class="modal-body">
              <div class="box box-success">
                <div class="box-header with border">
                  <h4 class="box-title">Search for Existing Customer</h4>
                </div>
                <div class="box-body">
                  <div class="row">
                    <div class="col-xs-12">
                        <div class="form-group">
                            <label for="txtCustomerSearch">Customer Name</label>
                            <div class="input-group">
                                <input type="text" class="form-control" id="txtCustomerSearch" name="txtCustomerSearch">
                                <span class="input-group-btn">
                                    <button type="button" class="btn btn-info btn-flat" onclick="searchCustomerByName()">Search</button>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12">
                      <table id="dtCustomerList" class="table table-bordered table-striped">
                        <thead><th>ID</th><th>Name</th><th>Date of Birth</th><th>Contact Info</th><th>e-Mail Address</th><th>Address</th><th>&nbsp;</th></thead>
                        <tbody id="dtCustomerListBody">
                          <tr><td colspan="7">No data</td></tr>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default" data-dismiss="modal">Close Customer Selection</button>
            </div>
          </div>
          <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
      </div>
      <!-- /.modal -->
    

      
      
      <!-- Place top bar here -->


    <!-- Site wrapper -->
    <div class="wrapper">

      <header class="main-header">
        <!-- Logo -->
        <a href="<?php site_url(); ?>" class="logo">
          <!-- mini logo for sidebar mini 50x50 pixels -->
          <span class="logo-mini"><b>A</b>KW</span>
          <!-- logo for regular state and mobile devices -->
          <span class="logo-lg"><b><?php echo $this->session->user["branch"]; ?></b>&nbsp;Branch</span>
        </a>
        
        <?php $this->load->view('pages/topnav'); ?>

      </header>

      <!-- Left navigation -->
      <?php $this->load->view('pages/leftnav'); ?>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
            Customer Purchase
            <small>View purchases of customer</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="<?php echo site_url(); ?>"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Customer Purchase</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
            <form>
            <div class="row">
                <div class="col-xs-12">
                    <div class="form-group">
                        <label for="txtCustomerName">Customer Name</label>
                        <div class="input-group">
                          <input type="text" class="form-control" id="txtCustomerName" name="txtCustomerName" disabled="true">
                          <span class="input-group-btn">
                              <button type="button" class="btn btn-info btn-flat" data-dismiss="modal" data-toggle="modal" data-target="#mdlCustomer">Search Customer</button>
                          </span>
                        </div>
                    </div>
                </div>
            </div>
            </form>
          <!-- Default box -->
          <div class="box">
            <div class="box-header with-border">
              <h3 class="box-title">Listing of Customer Purchase</h3>
            </div>
            <div class="box-body">
              <div class="row">
                <div class="col-xs-12">
                  <div class="table-responsive">
                    <table id="dtCustomerPurchaseList" class="table table-bordered table-striped">
                      <thead>
                        <th>No</th>
                        <th>Record ID</th>
                        <th>Transaction ID</th>
                        <th>Branch</th>
                        <th>Invoice</th>
                        <th>Category</th>
                        <th>Model No.</th>
                        <th>Price</th>
                        <th>Purchase Price</th>
                        <th>Transaction Type</th>
                        <th>Date</th>
                      </thead>
                      <tbody id="dtCustomerPurchaseListBody">
                        <tr><td colspan="10">No data</td></tr>
                      </tbody>
                    </table>
                  </div>
                  
                </div>
              </div>
            </div><!-- /.box-body -->
          </div><!-- /.box -->

        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->

      <footer class="main-footer">
        <div class="pull-right hidden-xs">
          <b>Version</b> 2.3.0
        </div>
        <strong>Copyright &copy; 2014-2015 <a href="http://almsaeedstudio.com">Almsaeed Studio</a>.</strong> All rights reserved.
      </footer>
    </div><!-- ./wrapper -->

    <!-- jQuery 2.1.4 -->
    <script src="adminlte/plugins/jQuery/jQuery-2.1.4.min.js"></script>
    <!-- Bootstrap 3.3.5 -->
    <script src="adminlte/bootstrap/js/bootstrap.min.js"></script>
    <!-- InputMask -->
    <script src="adminlte/plugins/input-mask/jquery.inputmask.js"></script>
    <script src="adminlte/plugins/input-mask/jquery.inputmask.date.extensions.js"></script>
    <script src="adminlte/plugins/input-mask/jquery.inputmask.extensions.js"></script>
    <!-- datepicker -->
    <script src="adminlte/plugins/datepicker/bootstrap-datepicker.js"></script>
    <!-- DataTables -->
    <script src="adminlte/plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="adminlte/plugins/datatables/dataTables.bootstrap.min.js"></script>
    <!-- SlimScroll -->
    <script src="adminlte/plugins/slimScroll/jquery.slimscroll.min.js"></script>
    <!-- FastClick -->
    <script src="adminlte/plugins/fastclick/fastclick.min.js"></script>
    <!-- AdminLTE App -->
    <script src="adminlte/dist/js/app.min.js"></script>
    <!-- Select2 -->
	  <script src="adminlte/plugins/select2/select2.full.min.js"></script>
    <script>

      function errorMessage(msg)
      {
        return '<div class="alert alert-danger alert-dismissable">'+
                  '<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>'+
                  '<h4><i class="icon fa fa-ban"></i> Opppppps!</h4>'+
                  '<div>' + msg + '</div>'+
                '</div>'
      }

      $(function () {
        
        //Datemask dd/mm/yyyy
        //$("#dtTransDate").inputmask("mm/dd/yyyy", {"placeholder": "mm/dd/yyyy"});
        $('.datepicker').datepicker({
            format: 'mm/dd/yyyy'
        });

        //Money Euro
        $("[data-mask]").inputmask();

      });


      function searchCustomerByName()
      {
        $("#dtCustomerListBody").html('<tr><td colspan="7">Searching for data. Please wait...</td></tr>');
        
        var dtCustomerListBodyHtml = "";
        
        $.get("/customerSearch", {s:$("#txtCustomerSearch").val()}, function(data){
          
          if(data["success"])
          {
            data["data"].forEach(function(data){
              dtCustomerListBodyHtml += "<tr>" + 
                                          "<td>"+data.customerid+"</td>" + 
                                          "<td>"+data.lastname+", "+data.firstname+"</td>" + 
                                          "<td>"+data.dob+"</td>" + 
                                          "<td>"+data.contactinfo+"</td>" + 
                                          "<td>"+data.emailadd+"</td>" + 
                                          "<td>"+data.address+"</td>" + 
                                          '<td><button class="btn btn-default" data-customerid="'+data.customerid+'" data-customername="['+data.customerid+'] '+data.lastname+', '+data.firstname+'" onclick="selectCustomer(this)">Use This record</button></td>' + 
                                        "</tr>"
            });

            $("#dtCustomerListBody").html(dtCustomerListBodyHtml);
          }
          else
          {
            $("#dtCustomerListBody").html('<tr><td colspan="7">No records found.</td></tr>');
          }
        }, "json");
      }

      function selectCustomer(customer)
      {
        $("#txtCustomerName").val($(customer).data("customername"));
        $("#mdlCustomer").modal('hide');

        $("#dtCustomerPurchaseListBody").html('<tr><td colspan="10">Loading data. Please wait.</td></tr>');

        var dtCustomerPurchaseListBodyHtml = "";

        $.get("/salesCustomerSearch", {s:$(customer).data("customerid")}, function(data){
          if(data["success"])
          {
            var i = 1;
            data["data"].forEach(function(data)
            {
              dtCustomerPurchaseListBodyHtml += "<tr>" + 
                                          "<td>"+i+"</td>" + 
                                          "<td>"+data.recordID+"</td>" + 
                                          "<td>"+data.transID+"</td>" + 
                                          "<td>"+data.brCode+"</td>" + 
                                          "<td>"+data.invoiceNum+"</td>" + 
                                          "<td>"+data.catCode+"</td>" + 
                                          "<td>"+data.modelno+"</td>" + 
                                          "<td>"+data.price+"</td>" +
                                          "<td>"+(parseFloat(data.cash) + parseFloat(data.dollar) + parseFloat(data.creditCard) + parseFloat(data.checque))+"</td>" + 
                                          "<td>"+data.transType+"</td>" + 
                                          "<td>"+data.transDate+"</td>" + 
                                        "</tr>";
              i++;
            });

            $("#dtCustomerPurchaseListBody").html(dtCustomerPurchaseListBodyHtml);

          }
          else
          {
            $("#dtCustomerPurchaseListBody").html('<tr><td colspan="10">No purchase record.</td></tr>');
          }
        }, "json");
      }

    </script>
  </body>
</html>
